> For the complete documentation index, see [llms.txt](https://docs.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vectra.ai/operations/backup-restore-dr/backup-and-restore-v85/migration-from-earlier-versions.md).

# Migration from earlier versions

{% hint style="info" %}
**Please Note:**

Customers who are new to backup and restore as of version 8.5 or later should ignore this section because it is only relevant for those who used the prior command structure/syntax to utilize backup and restore.
{% endhint %}

## Unchanged Commands

These commands remain the same in the new system:

* Clear Configuration
  * Command: `backup clear`
  * Description: Reset backup/restore configuration.
* Run Backup
  * Command: `backup run`
  * Description: Make a backup of the current machine state. Sync to all external targets sequentially.
    * In the new version, this will not sync to other targets if `--local-only` is provided.
* List Available Backups
  * Command: `restore list`
  * Description: List backups available on the local machine, as well as on any configured external targets.

## Changed Configuration and Execution Commands

* Configure External Targets
  * Old Command: `backup configure-target`
  * New Command: `backup external-targets configure`
* Clear Local Backups
  * Old Command: `restore clear`
  * New Command: `restore delete-version all --local-only`
* Configure S3 External Target
  * Old Command: `backup configure-target --s3-bucket-name s3_bucket_name --aws-access-key-id aws_access_key_id --aws-secret-access-key aws_secret_access_key --aws-region-name aws_region_name`
  * New Command: `backup external-targets configure s3 --bucket-name bucket_name --access-key-id access_key_id --secret-access-key secret_access_key --region region`
* Configure SCP External Target
  * Old Command: `backup configure-target --target-user target_user --target-server target_server --target-path target_path`
  * New Command: `backup external-targets configure scp --user user --server server --path path`
* Configure SFTP External Target
  * Old Command: `backup configure-target --target-user target_user --target-server target_server --target-path target_path`
  * New Command: `backup external-targets configure sftp --user user --server server --path path`
* Configure Password-Auth SFTP External Target
  * Old Command: `backup configure-target --target-user target_user --target-server target_server --target-path target_path --target-sftp-password`
  * New Command: `backup external-targets configure sftp --user user --server server --path path --use-password`
* Configure Brain-to-Brain External Target
  * Old Command: `backup configure-target --target-brain target_brain --brain-key brain_key`
  * New Command: `backup external-targets configure to-brain --target-brain target_brain --token token`
* Test External Target
  * Old Command: `backup test`
  * New Command: `backup external-targets test`
* Update Allow-list for Brain-to-Brain Backups
  * Old Command: `backup accept-from-brains`
  * New Command: `backup from-brain allow-list`
* Refresh Brain-to-Brain Token
  * Old Command: `token refresh`
  * New Command: `backup from-brain refresh-token`
* Run Local Backup
  * Old Command: `backup run-local`
  * New Command: `backup run --local-only`
* Enable Scheduled Backups
  * Old Command: `backup enable`
  * New Command: `backup schedule enable`
* Disable Scheduled Backups
  * Old Command: `backup disable`
  * New Command: `backup schedule disable`
* Delete Backup Version
  * Old Command: `backup delete-target-version`
  * New Command: `restore delete-version`
* Restore from External Target
  * Old Command: `restore run --configured`
  * New Command: `restore run from-external-target <name>`
* Restore from Local Backup
  * Old Command: `restore run --local`
  * New Command: `restore run from-local`
* Restore from URL
  * Old Command: `restore run --http <url>, restore run --sftp <url>, restore run --scp <url>`
  * New Command: `restore run from-url <url> (accepts http://,https://,scp://, and sftp:// urls)`

## Changed Commands Related to Showing Backup Information

* Show Backup Download Link
  * Old Command: `backup show-download-link`
  * New Command: `show backup download-link`
* Show Backup Events
  * Old Command: `backup show` (events included in summary)
  * New Command: `show backup events`
* Show External Targets
  * Old Command: `backup show` (only 1 external target allowed. Included in summary)
  * New Command: `show backup external-targets`
* Show Allow-List for Brain-to-Brain Backups
  * Old Command: `backup show` (allow-list included in summary)
  * New Command: `show backup from-brain allow-list`
* Show Brain-to-Brain Token
  * Old Command: `token show`
  * New Command: `show backup from-brain token`
* Show Public Key for SCP/SFTP Authentication
  * Old Command: `backup show` (key included in summary)
  * New Command: `show backup public-key`
* Show Backup Schedule
  * Old Command: `backup show` (schedule included in summary)
  * New Command: `show backup schedule`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vectra.ai/operations/backup-restore-dr/backup-and-restore-v85/migration-from-earlier-versions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
